﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Projekt.Interfaces
{
    internal interface IAccess<Entity, Parameter> where Entity : class, IEntity, new() where Parameter : class, IParameter, new()
    {
        string GetParameters(Parameter parameters);
        List<Entity> Get(Parameter parameters);
        bool Save(Entity entity);        
        bool Delete(Entity entity);
        bool Delete(Parameter parameters);
    }
}
